Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.zookeeper
Class ServerAdminClient

    java.lang.Object
      org.apache.zookeeper.ServerAdminClient

    public class ServerAdminClient

extends Object

Constructor Summary
`ServerAdminClient()`

Method Summary
`static void` | `dump(String host, int port)`
`static void` | `getTraceMask(String host, int port)`
`static void` | `kill(String host, int port)`
`static void` | `main(String[] args)`
`static void` | `ruok(String host, int port)`
`static void` | `setTraceMask(String host, int port, String traceMaskStr)`
`static void` | `stat(String host, int port)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerAdminClient

    public ServerAdminClient()

Method Detail

### ruok

    public static void ruok(String host,
                            int port)

### dump

    public static void dump(String host,
                            int port)

### stat

    public static void stat(String host,
                            int port)

### kill

    public static void kill(String host,
                            int port)

### setTraceMask

    public static void setTraceMask(String host,
                                    int port,
                                    String traceMaskStr)

### getTraceMask

    public static void getTraceMask(String host,
                                    int port)

### main

    public static void main(String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation